package io.renren.modules.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.admin.entity.EmployeeEntity;
import io.renren.modules.admin.entity.SubjectEntity;

import java.util.List;
import java.util.Map;

/**
 * 
 *
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-26 16:13:09
 */
public interface SubjectService extends IService<SubjectEntity> {

    PageUtils queryPage(Map<String, Object> params);

    void delete(Long[] ids);

    /**
     * 根据name 进行模糊查询
     * @param name
     * @return
     */
    List<SubjectEntity> findAllByName(String name);

    /**
     * 根据name 判断name是否存在
     * @param name
     * @return
     */
     int selectIsName(String name);
}

